librevenge::RVNGPropertyListIterImpl Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGPropertyListIterImpl Class Reference

## Public Member Functions
| RVNGPropertyListIterImpl (const RVNGPropertyListImpl *impl)
void | rewind ()
bool | next ()
bool | last ()
const RVNGProperty * | operator() () const
const RVNGPropertyListVector * | child () const
const char * | key () const

## Private Member Functions
| RVNGPropertyListIterImpl (const RVNGPropertyListIterImpl &other)
RVNGPropertyListIterImpl & | operator= (const RVNGPropertyListIterImpl &other)

## Private Attributes
bool | m_imaginaryFirst
std::map< std::string, RVNGPropertyListElement >::iterator | m_iter
std::map< std::string, RVNGPropertyListElement > * | m_map

## Constructor & Destructor Documentation

librevenge::RVNGPropertyListIterImpl::RVNGPropertyListIterImpl | ( | const RVNGPropertyListImpl * | impl | ) |

librevenge::RVNGPropertyListIterImpl::RVNGPropertyListIterImpl | ( | const RVNGPropertyListIterImpl & | other | ) |
| private

## Member Function Documentation

const RVNGPropertyListVector * librevenge::RVNGPropertyListIterImpl::child | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::Iter::child().

const char * librevenge::RVNGPropertyListIterImpl::key | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::Iter::key().

bool librevenge::RVNGPropertyListIterImpl::last | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::Iter::last().

bool librevenge::RVNGPropertyListIterImpl::next | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::Iter::next().

const RVNGProperty * librevenge::RVNGPropertyListIterImpl::operator() | ( |  | ) | const

RVNGPropertyListIterImpl& librevenge::RVNGPropertyListIterImpl::operator= | ( | const RVNGPropertyListIterImpl & | other | ) |
| private

void librevenge::RVNGPropertyListIterImpl::rewind | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::Iter::rewind().

## Member Data Documentation

bool librevenge::RVNGPropertyListIterImpl::m_imaginaryFirst
| private

Referenced by next(), and rewind().

std::map<std::string, RVNGPropertyListElement>::iterator librevenge::RVNGPropertyListIterImpl::m_iter
| private

Referenced by child(), key(), last(), next(), operator()(), and rewind().

std::map<std::string, RVNGPropertyListElement>* librevenge::RVNGPropertyListIterImpl::m_map
| private

Referenced by last(), next(), and rewind().

The documentation for this class was generated from the following file:

- RVNGPropertyList.cpp